Subject: Re: [PATCH v2 1/9] vgacon: rework Kconfig dependencies

From: Michael Ellerman <[email-masked]>
Date: Fri, 21 Jul 2023 14:59:24 +1000

Arnd Bergmann <[email-masked]> writes:
> From: Arnd Bergmann <[email-masked]>
>
> The list of dependencies here is phrased as an opt-out, but this is missing
> a lot of architectures that don't actually support VGA consoles, and some
> of the entries are stale:
>
>  - powerpc used to support VGA consoles in the old arch/ppc codebase, but
>    the merged arch/powerpc never did

Not disputing this, but how did you come to that conclusion? I grepped
around and couldn't convince myself whether it can work on powerpc or
not. ie. currently it's possible to enable CONFIG_VGA_CONSOLE and
powerpc does have a struct screen_info defined which seems like it would
allow vgacon_startup() to complete.

My only concern is that someone could be using it with Qemu?

cheers